Loading...
Searching...
No Matches
Opm::BlackOilFoamModule< TypeTag, enableFoamV > Class Template Reference

Contains the high level supplements required to extend the black oil model to include the effects of foam. More...

`#include <blackoilfoammodules.hh>`

## Static Public Member Functions

static void | setParams (BlackOilFoamParams< Scalar > &&params)
| Set parameters.
static void | registerParameters ()
| Register all run-time parameters for the black-oil foam module.
static void | registerOutputModules (Model &, Simulator &)
| Register all foam specific VTK and ECL output modules.
static bool | primaryVarApplies (unsigned pvIdx)
static std::string | primaryVarName (unsigned pvIdx)
static Scalar | primaryVarWeight (unsigned pvIdx)
static bool | eqApplies (unsigned eqIdx)
static std::string | eqName (unsigned eqIdx)
static Scalar | eqWeight (unsigned eqIdx)
template<class LhsEval>
static void | addStorage (Dune::FieldVector< LhsEval, numEq > &storage, const IntensiveQuantities &intQuants)
static void | computeFlux (RateVector &flux, const ElementContext &elemCtx, unsigned scvfIdx, unsigned timeIdx)
static Scalar | computeUpdateError (const PrimaryVariables &, const EqVector &)
| Return how much a Newton-Raphson update is considered an error.
template<class DofEntity>
static void | serializeEntity (const Model &model, std::ostream &outstream, const DofEntity &dof)
template<class DofEntity>
static void | deserializeEntity (Model &model, std::istream &instream, const DofEntity &dof)
static const Scalar | foamRockDensity (const ElementContext &elemCtx, unsigned scvIdx, unsigned timeIdx)
static bool | foamAllowDesorption (const ElementContext &elemCtx, unsigned scvIdx, unsigned timeIdx)
static const TabulatedFunction & | adsorbedFoamTable (const ElementContext &elemCtx, unsigned scvIdx, unsigned timeIdx)
static const TabulatedFunction & | gasMobilityMultiplierTable (const ElementContext &elemCtx, unsigned scvIdx, unsigned timeIdx)
static const BlackOilFoamParams< Scalar >::FoamCoefficients & | foamCoefficients (const ElementContext &elemCtx, const unsigned scvIdx, const unsigned timeIdx)
static Phase | transportPhase ()

## Detailed Description

template<class TypeTag, bool enableFoamV = getPropValue<TypeTag, Properties::EnableFoam>()>
class Opm::BlackOilFoamModule< TypeTag, enableFoamV >

Contains the high level supplements required to extend the black oil model to include the effects of foam.

The documentation for this class was generated from the following file:

- opm/models/blackoil/blackoilfoammodules.hh